Skip to main content
GET
/
projects
/
{projectId}
/
voice
/
sip-inbound
/
Get SIP inbound config
curl --request GET \
  --url https://spectrum.photon.codes/projects/{projectId}/voice/sip-inbound/
import requests

url = "https://spectrum.photon.codes/projects/{projectId}/voice/sip-inbound/"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://spectrum.photon.codes/projects/{projectId}/voice/sip-inbound/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "succeed": true,
  "data": {
    "configId": "<string>",
    "projectId": "<string>",
    "sipUri": "<string>",
    "username": "<string>",
    "hasPassword": true,
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Path Parameters

projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object | null
required